StartupEvents.registry('item', mystic_sky => {

    //##### Fluids #####

    //Lava
    mystic_sky.create('lava_cell', 'custom_infinity_cell')
        .texture('kubejs:item/lava_cell')
        .fluidType('minecraft:lava')
        .cellModel('kubejs:block/drive/lava_cell');

    // ##### Basic Stuff #####
    //Dirt
    mystic_sky.create('dirt_cell', 'custom_infinity_cell')
        .texture('kubejs:item/dirt_cell')
        .itemType('minecraft:dirt')
        .cellModel('kubejs:block/drive/dirt_cell');
    //Moss
    mystic_sky.create('moss_cell', 'custom_infinity_cell')
        .texture('kubejs:item/moss_cell')
        .itemType('minecraft:moss_block')
        .cellModel('kubejs:block/drive/moss_cell');
    //Andesite
    mystic_sky.create('andesite_cell', 'custom_infinity_cell')
        .texture('kubejs:item/andesite_cell')
        .itemType('minecraft:andesite')
        .cellModel('kubejs:block/drive/andesite_cell');
    //Diorite
    mystic_sky.create('diorite_cell', 'custom_infinity_cell')
        .texture('kubejs:item/diorite_cell')
        .itemType('minecraft:diorite')
        .cellModel('kubejs:block/drive/diorite_cell');
    //Granite
    mystic_sky.create('granite_cell', 'custom_infinity_cell')
        .texture('kubejs:item/granite_cell')
        .itemType('minecraft:granite')
        .cellModel('kubejs:block/drive/granite_cell');
    //Tuff
    mystic_sky.create('tuff_cell', 'custom_infinity_cell')
        .texture('kubejs:item/tuff_cell')
        .itemType('minecraft:tuff')
        .cellModel('kubejs:block/drive/tuff_cell');
    //sand
    mystic_sky.create('sand_cell', 'custom_infinity_cell')
        .texture('kubejs:item/sand_cell')
        .itemType('minecraft:sand')
        .cellModel('kubejs:block/drive/sand_cell');
    //Red Sand
    mystic_sky.create('red_sand_cell', 'custom_infinity_cell')
        .texture('kubejs:item/red_sand_cell')
        .itemType('minecraft:red_sand')
        .cellModel('kubejs:block/drive/red_sand_cell');
    //End Stone
    mystic_sky.create('end_stone_cell', 'custom_infinity_cell')
        .texture('kubejs:item/end_stone_cell')
        .itemType('minecraft:end_stone')
        .cellModel('kubejs:block/drive/end_stone_cell');
    //Netherrack
    mystic_sky.create('netherrack_cell', 'custom_infinity_cell')
        .texture('kubejs:item/netherrack_cell')
        .itemType('minecraft:netherrack')
        .cellModel('kubejs:block/drive/netherrack_cell');
    //Clay
    mystic_sky.create('clay_cell', 'custom_infinity_cell')
        .texture('kubejs:item/clay_cell')
        .itemType('minecraft:clay')
        .cellModel('kubejs:block/drive/clay_cell');
    //Blackstone
    mystic_sky.create('blackstone_cell', 'custom_infinity_cell')
        .texture('kubejs:item/blackstone_cell')
        .itemType('minecraft:blackstone')
        .cellModel('kubejs:block/drive/blackstone_cell');
    //Basalt
    mystic_sky.create('basalt_cell', 'custom_infinity_cell')
        .texture('kubejs:item/basalt_cell')
        .itemType('minecraft:basalt')
        .cellModel('kubejs:block/drive/basalt_cell');
    //Calcite
    mystic_sky.create('calcite_cell', 'custom_infinity_cell')
        .texture('kubejs:item/calcite_cell')
        .itemType('minecraft:calcite')
        .cellModel('kubejs:block/drive/calcite_cell');
    //Cobbled Deepslate
    mystic_sky.create('cobbled_deepslate_cell', 'custom_infinity_cell')
        .texture('kubejs:item/cobbled_deepslate_cell')
        .itemType('minecraft:cobbled_deepslate')
        .cellModel('kubejs:block/drive/cobbled_deepslate_cell');
    //Soul Sand
    mystic_sky.create('soul_sand_cell', 'custom_infinity_cell')
        .texture('kubejs:item/soul_sand_cell')
        .itemType('minecraft:soul_sand')
        .cellModel('kubejs:block/drive/soul_sand_cell');
    //Sky stone
    mystic_sky.create('sky_stone_cell', 'custom_infinity_cell')
        .texture('kubejs:item/sky_stone_cell')
        .itemType('ae2:sky_stone_block')
        .cellModel('kubejs:block/drive/sky_stone_cell');

})